Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

From: <[email-masked]>
Date: Mon, 2 Mar 2020 12:48:41 +0000

Dear S Moonesamy,

Speaking as an individual contributor, please find below a few comments

1) The below email was a private email between a set of persons.
Forwarding it, to a public list without permission is frown upon by the Netiquette (if not savoir-vivre, to begin with)

"If the message was a personal message to  you and you are re-posting to a group, you should ask permission  first."
https://tools.ietf.org/html/rfc1855

2) While forwarding the email, you have edited it, removing you own original email and the context. Context that nobody on the mailing list can be aware of.

"If you are forwarding or re-posting a message you've received, do not change the wording."
https://tools.ietf.org/html/rfc1855

I would suggest that next time you want the communication to be public, you start it on the public mailing list, so that the whole WG is aware of the whole thread.
(Note that this would not change the text in my email)

--Bruno

> 
> -----Original Message-----
> From: S Moonesamy [mailto:[email-masked]] 
> Sent: Friday, February 28, 2020 10:36 AM
> To: DECRAENE Bruno TGI/OLN; [email-masked]
> Cc: Warren Kumari; Martin Vigoureux; Rob Shakir
> Subject: RE: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming
> 
> Dear Mr Decraene,
> At 12:58 AM 28-02-2020, [email-masked] wrote:
> >1) People have the right to express, including to hum sometimes, but 
> >decision is not based on the number of "+1".
> >Do you have the impression that the decision is based on some voting 
> >scheme? (Assuming the decision was made in the first place...) If 
> >so, could you please help me see what makes you feel so?
> 
> My comment about the above was a response to the comment at 
> https://mailarchive.ietf.org/arch/msg/spring/nIAqSeZJKq64QHbyy_ZrNqk_CXg/
> 
> >2) As regards to the timing, the duration of the call for comments 
> >has indeed elapsed.
> >If your comment is related to the actual work, as you may have seen, 
> >there has been a high number of comments on the list so there is 
> >work to be done on the resolution of the comments. The more 
> >comments, the more time. The harder the comment, the more time. I 
> >can't provide or force people to provide an ETA for the resolutions 
> >of comments. I think that working on improving the document is more 
> >important than a few weeks delay. BTW, I'm not aware of specific 
> >timing requirement to advance a document to RFC. Closest things I've 
> >seen is "SOON" [1] and "timely" [2]
> 
> I enquired about the working group process.  I don't see anything in 
> the reference to RFC 2026 about Working Group procedures.  The second 
> reference is to an Internet-Draft about the definition of the word 
> "timely".  As far as I am aware, that Internet-Draft is not part of 
> IETF Working Group procedures.
> 
> >If your question is related to formal state, is your point that the 
> >datatracker state should have been moved from " In WG Last Call " to 
> >" Revised I-D Needed - Issue raised by WGLC ". If so, I tend to 
> >agree with you. Could/will also be " Doc Shepherd Follow-up 
> >Underway" at some point.
> >
> >That been said, as I've said on the list, the end of the WG LC is 
> >not the end of the ability for the WG to make technical comments on 
> >the list. [3]. One example may be the latest comment from Chris Bowers.
> >
> >3) Your specific questions been answered, it's not crystal clear to 
> >me what are you trying to achieve with your email. Do you believe 
> >the document should advance faster, slower, not advance? That your 
> >comments were not adequately answered? (although I'm not seen any 
> >comment from your side on the mailing list). Please help me 
> >understand your root concern.
> 
> My question was about when the the Working Group Last Call ends.  I 
> don't view it as appropriate to determine whether the document should 
> advance faster or slower as I am not responsible to make such a determination.
> 
> Regards,
> S. Moonesamy 
>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Mon, 2 Mar 2020 13:59:10 +0000

+1.

Not to make a decision, but to agree with Bruno. Many thanks for your information, very useful to me :)

Best Regards,
Cheng

-----Original Message-----
From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, March 2, 2020 8:49 PM
To: S Moonesamy <[email-masked]>
Cc: Rob Shakir <[email-masked]>; Martin Vigoureux <[email-masked]>; [email-masked]; Warren Kumari <[email-masked]>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Dear S Moonesamy,

--Bruno

> Subject: RE: [spring] Request to close the LC and move forward//RE: 
> WGLC - draft-ietf-spring-srv6-network-programming
> 
> Dear Mr Decraene,
> >scheme? (Assuming the decision was made in the first place...) If so, 
> >could you please help me see what makes you feel so?
> 
> >there has been a high number of comments on the list so there is work 
> >to be done on the resolution of the comments. The more comments, the 
> >more time. The harder the comment, the more time. I can't provide or 
> >force people to provide an ETA for the resolutions of comments. I 
> >think that working on improving the document is more important than a 
> >few weeks delay. BTW, I'm not aware of specific timing requirement to 
> >advance a document to RFC. Closest things I've seen is "SOON" [1] and 
> >"timely" [2]
> 
> >" Revised I-D Needed - Issue raised by WGLC ". If so, I tend to agree 
> >with you. Could/will also be " Doc Shepherd Follow-up Underway" at 
> >some point.
> >
> >That been said, as I've said on the list, the end of the WG LC is not 
> >the end of the ability for the WG to make technical comments on the 
> >list. [3]. One example may be the latest comment from Chris Bowers.
> >
> >me what are you trying to achieve with your email. Do you believe the 
> >document should advance faster, slower, not advance? That your 

_______________________________________________
spring mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spring

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 08:33:55 -0800

Dear Mr Decraene,
At 04:48 AM 02-03-2020, [email-masked] wrote:
>I would suggest that next time you want the communication to be 
>public, you start it on the public mailing list, so that the whole 
>WG is aware of the whole thread.

I sent an email to the Working Group Chairs.  That email was copied 
to [email-masked].

Regards,
S. Moonesamy

---

From: <[email-masked]>
Date: Mon, 2 Mar 2020 17:14:45 +0000

Dear S Moonesamy,

> Sent: Monday, March 2, 2020 5:34 PM
> To: DECRAENE Bruno TGI/OLN
> Cc: Warren Kumari; Martin Vigoureux; Rob Shakir; [email-masked]

On my side, the header from your email is the following:

> > Sent: Thursday, February 27, 2020 8:53 PM
> > To: DECRAENE Bruno TGI/OLN; Rob Shakir
> > Cc: Warren Kumari; Martin Vigoureux
> > Dear Working Group Chairs,
> > 
> > [Cc trimmed]
> > 

I'm not seeing the WG in copy.
I've checked the public email archive [1] and could not find your above email. Given the number of emails, there is a possibility that I'm missing it. In order to make your point, it seems easy for you to provide the URL for the above email. That would close the point.

[1] https://mailarchive.ietf.org/arch/browse/spring/

Regards,
--Bruno

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 09:34:29 -0800

Dear Mr Decraene,
At 09:14 AM 02-03-2020, [email-masked] wrote:
> > > Subject: Re: [spring] Request to close the LC and move 
> forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

>I've checked the public email archive [1] and could not find your 
>above email. Given the number of emails, there is a possibility that 
>I'm missing it. In order to make your point, it seems easy for you 
>to provide the URL for the above email. That would close the point.

I didn't see the email in the archives.  I verified my original 
message headers and noticed that a comma was missing between the 
second email address and the third one for the "To:" header field:

Bruno Decraene <[email-masked]>, Rob Shakir 
<[email-masked]> [email-masked]

Regards,
S. Moonesamy

---

From: <[email-masked]>
Date: Mon, 2 Mar 2020 18:06:43 +0000

Dear S Moonesamy, 

> Sent: Monday, March 2, 2020 6:34 PM

You have conveniently edited (again) my email to remove that specific sentence of yours " > > [Cc trimmed]"
 
> <[email-masked]> [email-masked]

Ok, this explains your original error.
Then at some point you've discovered your error and when replying you took the decision and performed the action to add the public mailing list. Doing so you reposted to a group a message which was personally for you.
 
Regards,
--Bruno

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 10:20:30 -0800

Dear IESG,

I sent a message to the SPRING Working Group Chairs.  The reply which 
I received from a person who is listed as one of the SPRING Working 
Group Chairs contains the following footer:

   "This message and its attachments may contain confidential or privileged
    information that may be protected by law;
    they should not be distributed, used or copied without authorisation.
    If you have received this email in error, please notify the 
sender and delete this
    message and its attachments.
    As emails may be altered, Orange is not liable for messages that 
have been modified,
    changed or falsified."

 From what I understand, the IESG position on automated disclaimers 
was that they are not applicable within the context of BCP 9.  Was 
there a change to that?

Regards,
S. Moonesamy

At 10:06 AM 02-03-2020, [email-masked] wrote:
> > Subject: RE: [spring] Request to close the LC and move 
>You have conveniently edited (again) my email to remove that 
>specific sentence of yours " > > [Cc trimmed]"
>
>Then at some point you've discovered your error and when replying 
>you took the decision and performed the action to add the public 
>mailing list. Doing so you reposted to a group a message which was 
>personally for you.
>
>Regards,
>--Bruno
>
> > Regards,
> > S. Moonesamy
>
>Ce message et ses pieces jointes peuvent contenir des informations 
>confidentielles ou privilegiees et ne doivent donc
>pas etre diffuses, exploites ou copies sans autorisation. Si vous 
>avez recu ce message par erreur, veuillez le signaler
>a l'expediteur et le detruire ainsi que les pieces jointes. Les 
>messages electroniques etant susceptibles d'alteration,
>This message and its attachments may contain confidential or 
>privileged information that may be protected by law;
>If you have received this email in error, please notify the sender 
>and delete this message and its attachments.
>As emails may be altered, Orange is not liable for messages that 
>have been modified, changed or falsified.
>Thank you.

---

From: Alvaro Retana <[email-masked]>
Date: Mon, 2 Mar 2020 11:09:55 -0800

On March 2, 2020 at 1:21:25 PM, S Moonesamy wrote:

[Changed the subject to better reflect the topic and for easier tracking.]

SM:

Hi!  How are you?

> information that may be protected by law; they should not be distributed,
> used or copied without authorisation.
> sender and delete this message and its attachments.
> have been modified, changed or falsified."
>

I looked at BCP 9, but didn't find anything related to your question.
If I missed it, please point me in the right direction.  I think you
may be referring to BCP 78.

Specifically, rfc5378 (Rights Contributors Provide to the IETF Trust) reads:

   5.2.  Confidentiality Obligations

   No information or document that is subject to any requirement of
   confidentiality or any restriction on its dissemination may be
   submitted as a Contribution or otherwise considered in any part of
   the IETF Standards Process, and there must be no assumption of any
   confidentiality obligation with respect to any Contribution.  Each
   Contributor agrees that any statement in a Contribution, whether
   generated automatically or otherwise, that states or implies that the
   Contribution is confidential or subject to any privilege, can be
   disregarded for all purposes, and will be of no force or effect.

Note that this section is clearly only talking about statements in a
Contribution (I pasted the definition of "Contribution" below, from
the same RFC).

If you have other general questions or concerns about this topic, it
might be more productive to separate them into their own thread.

Regards,

Alvaro.

>From rfc5378/§1:

a. "Contribution": any submission to the IETF intended by the
   Contributor for publication as all or part of an Internet-Draft or
   RFC (except for RFC Editor Contributions described in Section 4
   below) and any statement made within the context of an IETF
   activity.  Such statements include oral statements in IETF
   sessions as well as written and electronic communications, made at
   any time or place, that are addressed to:

   o the IETF plenary session,
   o any IETF working group or portion thereof,
   o any Birds of a Feather (BOF) session,
   o the IESG, or any member thereof on behalf of the IESG,
   o the IAB, or any member thereof on behalf of the IAB,
   o any IETF mailing list, including the IETF list itself, any
     working group or design team list, or any other list functioning
     under IETF auspices,
   o the RFC Editor or the Internet-Drafts function (except for RFC
     Editor Contributions, as described in Section 4 below).

   Statements made outside of an IETF session, mailing list, or other
   function, that are clearly not intended to be input to an IETF
   activity, group, or function are not IETF Contributions in the
   context of this document.

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 12:10:47 -0800

Hi Alvaro,
>[Changed the subject to better reflect the topic and for easier tracking.]

Thanks.

>Hi!  How are you?

I am okay.

>may be referring to BCP 78.

Sorry for not being clear.  The process as defined in BCP 9 is 
expected to be transparent.  There is also a statement about 
"transparent operation".

>Contribution (I pasted the definition of "Contribution" below, from

BCP 78 is about the IPR aspects and, as you pointed out, a 
"Contribution".  I prefer not to ask questions about the latter as I 
have participated in the discussions about the relevant RFC and I can 
guess what the persons who participated in the discussions would say.

Regards,
S. Moonesamy

---

From: Barry Leiba <[email-masked]>
Date: Mon, 2 Mar 2020 15:35:25 -0500

The IESG discussed this years ago (during my prior term) and decided
the following:

- Such disclaimers are impossible for us to stop: they're mandated by
people's companies and they will appear.

- Regardless of what disclaimers appear in people's messages, any
messages that amount to Contributions, as defined in BCP 79, are
covered by the terms in BCP 79.

- People might have the option of using non-work email addresses to
avoid having such disclaimers put on their mail by their employers,
but some employers might forbid that as well.

- We need to just let this stuff go and not worry about it.

Barry

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 22:31:24 -0800

Hi Barry,
>- We need to just let this stuff go and not worry about it.

Thanks.  I was a bit worried about whether the old statement was 
still applicable.

Regards,
S. Moonesamy